 ~~~~~~~~~~~~~~~~~~~~~~~~~
   Indentation detection
 ~~~~~~~~~~~~~~~~~~~~~~~~~


One command, with a five characters indentation:

  $ cat <<EOF > test1.t
  >      $ echo viisi
  > EOF
  $ kuulto-run1 test1.t
   ________________________________________________________________________
  /                                                                 test1.t
       $ echo viisi
       viisi
  \________________________________________________________________________


Several commands all at eight characters indentation:

  $ cat <<EOF > test2.t
  > Test 2
  > 
  >         $ echo kahdeksan
  > 
  >         $ echo huit
  > 
  >         $ echo otte
  > 
  > End
  > EOF
  $ kuulto-run1 test2.t
   ________________________________________________________________________
  /                                                                 test2.t
  Test 2
  
          $ echo kahdeksan
          kahdeksan
  
          $ echo huit
          huit
  
          $ echo otte
          otte
  
  End
  \________________________________________________________________________


Indentation mismatch, therefore only the first command actually does something:

  $ cat <<EOF > test3.t
  > Test 3
  > 
  >         $ echo eight
  > 
  >    $ echo kolme
  > 
  >           $ echo kymmenen
  > 
  > End
  > EOF
  $ kuulto-run1 test3.t
   ________________________________________________________________________
  /                                                                 test3.t
  Test 3
  
          $ echo eight
          eight
  
     $ echo kolme
  
            $ echo kymmenen
  
  End
  \________________________________________________________________________


No command at all, hence no indentation to detect:

  $ cat <<EOF > test4.t
  > Comments
  > 
  >   and only comments
  > 
  >     and nothing else alas...
  > 
  > End of comments
  > EOF
  $ kuulto-run1 test4.t
   ________________________________________________________________________
  /                                                                 test4.t
  Comments
  
    and only comments
  
      and nothing else alas...
  
  End of comments
  \________________________________________________________________________


The end.
