 ~~~~~~~~~~~~~~~~~~~~~~
   Merge tool, header
 ~~~~~~~~~~~~~~~~~~~~~~

These tests validate the parsing of the stream header found in the test output.


Using a simple one-command test as a base for other tests:

  $ echo "  $ echo karhu" > simple.t
  $ cat <<EOF > simple.out
  > |klp| SALT 2
  > SALT 0 1 0 ?? @
  > karhu
  > EOF
  $ kuulto-merge simple.t < simple.out
    $ echo karhu
    karhu


Invalid header magic:

  $ sed 's,klp,kXp,' simple.out > simple_invh.out
  $ sed 's,^,  ,' simple_invh.out
    |kXp| SALT 2
    SALT 0 1 0 ?? @
    karhu
  $ kuulto-merge simple.t < simple_invh.out
  Invalid header
  [1]


Omitting indent size:

  $ sed '/klp/s, 2,,' simple.out > simple_no_indent.out
  $ sed 's,^,  ,' simple_no_indent.out
    |klp| SALT
    SALT 0 1 0 ?? @
    karhu
  $ kuulto-merge simple.t < simple_no_indent.out
    $ echo karhu
  karhu


Altering indent size:

  $ sed '/klp/s, 2, 4,' simple.out > simple_indent4.out
  $ sed 's,^,  ,' simple_indent4.out
    |klp| SALT 4
    SALT 0 1 0 ?? @
    karhu
  $ kuulto-merge simple.t < simple_indent4.out
    $ echo karhu
      karhu


Trailing header content:

  $ sed '/klp/s,$, nalle otso,' simple.out > simple_trailing.out
  $ sed 's,^,  ,' simple_trailing.out
    |klp| SALT 2 nalle otso
    SALT 0 1 0 ?? @
    karhu
  $ kuulto-merge simple.t < simple_trailing.out
  Unsupported header option: "nalle"
  [1]


No header:

  $ sed '1d' simple.out > simple_noh.out
  $ sed 's,^,  ,' simple_noh.out
    SALT 0 1 0 ?? @
    karhu
  $ kuulto-merge simple.t < simple_noh.out
  Invalid header
  [1]


No output content altogether:

  $ printf "" > no_content.out
  $ kuulto-merge simple.t < no_content.out
  [1]


The end.
